Bug 16621 - Translatability: Issues in opac-user.tt (sentence splitting)
Summary: Translatability: Issues in opac-user.tt (sentence splitting)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-31 09:04 UTC by Marc Véron
Modified: 2017-12-20 16:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Fix translatability issues due to sentence splitting in koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-user.tt
Version(s) released in:


Attachments
Bug 16621: Translatability: Issues in opac-user.tt (sentence splitting) (9.30 KB, patch)
2016-06-10 08:49 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16621: Translatability: Issues in opac-user.tt (sentence splitting) (10.13 KB, patch)
2016-07-10 19:02 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16621: Translatability: Issues in opac-user.tt (sentence splitting) (10.23 KB, patch)
2016-07-11 15:19 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 16621: Translatability: Issues in opac-user.tt (sentence splitting) (10.24 KB, patch)
2016-07-11 20:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-05-31 09:04:21 UTC
Fix translation issues by sentence splitting in koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-user.tt line 103:

<li id="renewal_blocked_fines"><strong>Please note: </strong> Since you have <a href="/cgi-bin/koha/opac-account.pl">[% IF renewal_blocked_fines != "0.00" %] more than <span id="renewal_blocked_fines_amount">[% renewal_blocked_fines %]</span> in [% END %] fines</a>, you cannot renew your books online. Please pay your fines if you wish to renew your books.</li>
Comment 1 Marc Véron 2016-06-10 08:49:42 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-07-10 19:02:56 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2016-07-11 15:19:57 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2016-07-11 20:33:36 UTC
Hm, I think we could leave out the "Reason:" here:
+  <li id="renewal_blocked_fines"><strong>Please note: </strong>You cannot renew your books online. Reason: [% IF ( renewal_blocked_fines ) > 0  %...

But not a blocker :)
Comment 5 Katrin Fischer 2016-07-11 20:34:39 UTC
Created attachment 53280 [details] [review]
[PASSED QA] Bug 16621: Translatability: Issues in opac-user.tt (sentence splitting)

This patch fixes issues due to sentence splitting in
koha-tmpl/opac-tmpl/bootstrap/en/modules/opac-user.tt

Note: This is a string patch. It does not add or change functionallity.

To test:
- Examine code and verify that the text changes remove sentence splitting
  and that the changes make sense.
- Log in to OPAC and verify that messages look correct
  - with blocked /debarred user (with and without comment and date)
  - with user who has to much fines (needs syspref OpacRenewalAllowed
    and syspref OPACFineNoRenewals)
  - with user who has his card marked as lost
  - with user with an account that is about to expire
  - with user with expired account
  - with user with uncertain address information (with and without
    syspref OPACPatronDetails set to Allow)

Note: Amended to make patch apply 2016-07-10 mv
Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Kyle M Hall 2016-07-15 15:09:19 UTC
Pushed to master for 16.11, thanks Marc!
Comment 7 Frédéric Demians 2016-08-01 13:41:08 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 8 Julian Maurice 2016-08-17 11:01:35 UTC
Patch pushed to 3.22.x, will be in 3.22.10